# Class CGORenderer

java.lang.Object
org.jmol.render.ShapeRenderer
org.jmol.render.MeshRenderer
org.jmol.renderspecial.DrawRenderer
org.jmol.rendercgo.CGORenderer

public class CGORenderer extends DrawRenderer
Something like a PyMOL Compiled Graphical Object, but more interesting!

## Field Summary

### Fields inherited from class DrawRenderer

`dmesh, pt0, pt0i, pt1, pt2, vTemp, vTemp2`

### Fields inherited from class MeshRenderer

`allowDashed, antialias, bsPolygons, bsPolygonsToExport, diameter, exportPass, forceShowTriangles, frontOnly, haveBsDisplay, imageFontScaling, isGhostPass, isShell, isTranslucent, isTranslucentInherit, latticeOffset, mesh, meshSlabValue, needTranslucent, normixes, p3Screens, pt1f, pt1i, pt2f, pt2i, pt3i, renderLow, scalePixelsPerMicron, screens, selectedPolyOnly, thePlane, transformedVectors, vertexCount, vertices, volumeRender, width`

### Fields inherited from class ShapeRenderer

`colix, exportType, flags, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

## Constructor Summary

Constructors
Constructor
Description
`CGORenderer()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`render()`

### Methods inherited from class DrawRenderer

`isPolygonDisplayable, render2`

### Methods inherited from class MeshRenderer

`checkFront, drawEdge, drawTriangle, exportSurface, isVisibleNormix, render2b, renderMesh2, renderPoints, renderTriangles, setColix`

### Methods inherited from class ShapeRenderer

`initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CGORenderer

public CGORenderer()

## Method Details

### render

protected boolean render()

Overrides:
  `render` in class `DrawRenderer`